Skip to content

亚马逊 API - 商品详情 (V1)

prod-global
GET
/api/amazon/get-product-detail/v1

根据提供的ASIN从亚马逊检索详细的商品信息。 返回核心商品数据,如标题、品牌、价格、可用性、评分、 评论数量、商品图片、类别信息和其他公开可用的详细信息。

典型用例:

  • 构建商品目录和丰富商品内容(例如图片)
  • 价格监控和可用性跟踪
  • 电商分析和竞争对手跟踪

请求参数

参数名位置类型必填说明
tokenquerystring此API服务的鉴权令牌。
asinquerystringASIN(亚马逊标准识别号)。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/amazon/get-product-detail/v1?token=YOUR_API_KEY&asin=VALUE"
text
我想使用 Just One API 提供的“商品详情 (V1)”接口。
接口地址: https://api.justoneapi.com/api/amazon/get-product-detail/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/amazon-apis/product-details-v1-zh.json

请求参数说明:
- token (query): 此API服务的鉴权令牌。 (必填)
- asin (query): ASIN(亚马逊标准识别号)。 (必填)

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/amazon/get-product-detail/v1?token=YOUR_API_KEY&asin=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/amazon/get-product-detail/v1?token=YOUR_API_KEY&asin=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/amazon/get-product-detail/v1?token=YOUR_API_KEY&asin=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/amazon/get-product-detail/v1?token=YOUR_API_KEY&asin=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/amazon/get-product-detail/v1?token=YOUR_API_KEY&asin=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "asin": "B0CXHM344N",
    "product_title": "PETKIT EVERSWEET MAX Cordless Cat Water Fountain with Motion Sensor, 101 oz/3L Pet Fountain for Cats Dogs Inside, Automatic Cat Water Dispenser Battery Operated (White-Cordless, 3L)",
    "product_price": "75.99",
    "product_original_price": "$89.99",
    "minimum_order_quantity": null,
    "currency": "USD",
    "country": "US",
    "domain": "www.amazon.com",
    "product_byline": "Visit the PETKIT Store",
    "product_byline_link": "https://www.amazon.com/stores/PETKIT/page/ABE54506-DE7E-49D9-A3C6-D8CBCBDD2F54?lp_asin=B0CXHM344N&ref_=ast_bln&store_ref=bl_ast_dp_brandLogo_sto",
    "product_byline_links": [
      "https://www.amazon.com/stores/PETKIT/page/ABE54506-DE7E-49D9-A3C6-D8CBCBDD2F54?lp_asin=B0CXHM344N&ref_=ast_bln&store_ref=bl_ast_dp_brandLogo_sto"
    ],
    "product_star_rating": "4.3",
    "product_num_ratings": 429,
    "product_url": "https://www.amazon.com/dp/B0CXHM344N",
    "product_slug": null,
    "product_photo": "https://m.media-amazon.com/images/I/61Z1j1hJ2oL._AC_SL1500_.jpg",
    "product_num_offers": 1,
    "product_availability": "",
    "product_condition": "Regular Price",
    "is_best_seller": false,
    "is_amazon_choice": false,
    "is_prime": false,
    "climate_pledge_friendly": false,
    "sales_volume": "200+ bought in past month",
    "about_product": [
      "Wireless Cat Drinking Fountain: PETKIT new upgraded wireless water dispenser, no need to plug in, you can place it anywhere: kitchen, bedroom, balcony, etc., bring you a new feeling; 5000mAh high-capacity battery, service life up to 83 days! No more worry about your cat or dog running out of water during power outages or short trips! When the fountain is short of water, the pump will automatically stop working to prevent the device from burning out.",
      "3L Large Capacity: This cat water dispenser has a capacity of 3l/101 fl oz, say goodbye to frequent refilling, suitable for multi-pet households, the filled dog water dispenser can provide a week's supply of water for two cats or a dog.",
      "Smart App Monitoring: The PETKIT app tracks your pet's drinking habits 24/7 and generates weekly/monthly drinking insights, allowing you to better understand your pet's drinking frequency and timing. The app also reminds you to replace the filter and clean the water dispenser regularly, so you no longer have to worry about your pet's drinking safety. In addition, you can activate the motion sensor in the app, and when your pet approach within 3.94 inches, the water will flow continuously for 1 minute to encourage them to drink more.",
      "Fresh Water in Multiple Modes: Customize continuous flow mode or the intermittent mode based on Pet’s Preference, the multi-layer filter utilizes a unidirectional recirculation filtration system that filters out hair, sediment, dirt, etc., providing pets with a hygienic, pure drinking experience.",
      "Quietly & Easy to Clean: The cat fountain features a removable tank design that is very easy to clean, and with a wireless pump, you can easily detach the interior without worrying about tangled cords. With a sound of less than 25dB, you can sleep peacefully even if the fountain is next to you and your pets.",
      "Friendly Reminder: To ensure your pet's drinking water remains healthy, we recommend thoroughly cleaning the water fountain once a week, including the pump, water tank, and tray. The cleaning brush included in the package can assist you in this process. Disassembling and cleaning the pump can extend its lifespan and effectively resolve issues such as reduced water flow, no water output, or operational noise."
    ],
    "product_description": null,
    "product_information": {
      "Item Weight": "3.83 pounds",
      "Manufacturer": "PETKIT",
      "ASIN": "B0CXHM344N",
      "Item model number": "EVERSWEET MAX",
      "Batteries": "AAA batteries required. (included)",
      "Date First Available": "March 8, 2024",
      "Item Package Dimensions L x W x H": "11.02 x 8.43 x 7.24 inches",
      "Brand Name": "PETKIT",
      "Target Audience Keyword": "Cats, Dogs",
      "Warranty Description": "1",
      "Model Name": "EVERSWEET MAX",
      "Color": "White-Cordless",
      "Size": "3L",
      "Material": "Acrylonitrile Butadiene Styrene (ABS), Stainless Steel",
      "Number of Items": "1",
      "Included Components": "USB charging cable, brush, filter",
      "Specific Uses for Product": "Indoor"
    },
    "rating_distribution": {
      "1": 8,
      "2": 3,
      "3": 7,
      "4": 9,
      "5": 73
    },
    "product_photos": [
      "https://m.media-amazon.com/images/I/61Z1j1hJ2oL._AC_SL1500_.jpg",
      "https://m.media-amazon.com/images/I/71jBABMHDjL._AC_SL1500_.jpg",
      "https://m.media-amazon.com/images/I/81i+PCO1i3L._AC_SL1500_.jpg",
      "https://m.media-amazon.com/images/I/613KHtne1JL._AC_SL1500_.jpg",
      "https://m.media-amazon.com/images/I/61fZDS26foL._AC_SL1500_.jpg",
      "https://m.media-amazon.com/images/I/612MFDfOpyL._AC_SL1500_.jpg",
      "https://m.media-amazon.com/images/I/51Szv1bdq-L._AC_SL1500_.jpg",
      "https://m.media-amazon.com/images/I/61uyzikBl3L._AC_SL1500_.jpg",
      "https://m.media-amazon.com/images/I/61cuXqcP8dL._AC_SL1500_.jpg"
    ],
    "product_videos": [
      {
        "id": "amzn1.vse.video.0c22e9357ac04d09933230ed82becdf7",
        "title": "PETKIT EVERSWEET MAX Cordless Cat Fountain",
        "video_url": "https://m.media-amazon.com/images/S/vse-vms-transcoding-artifact-us-east-1-prod/9e9bc4d4-e620-4004-8388-ae975fe9717c/default.jobtemplate.hls.m3u8",
        "video_height": "1080",
        "video_width": "1920",
        "thumbnail_url": "https://m.media-amazon.com/images/I/B15+wSymtzL.SS40_BG85,85,85_BR-120_PKdp-play-icon-overlay__.jpg",
        "product_asin": "B0CXHM344N",
        "parent_asin": "B0FP2HDDJR"
      },
      {
        "id": "amzn1.vse.video.03fcb7fa041e40d69c8efd6bcd8e9a49",
        "title": "Installation & Usage of PETKIT EVERSWEET MAX Cat Fountain",
        "video_url": "https://m.media-amazon.com/images/S/vse-vms-transcoding-artifact-us-east-1-prod/ea2de45a-9a6f-485c-9767-042383508307/default.jobtemplate.hls.m3u8",
        "video_height": "1080",
        "video_width": "1920",
        "thumbnail_url": "https://m.media-amazon.com/images/I/21GKXpB36oL.SS40_BG85,85,85_BR-120_PKdp-play-icon-overlay__.jpg",
        "product_asin": "B0CXHM344N",
        "parent_asin": "B0FP2HDDJR"
      },
      {
        "id": "amzn1.vse.video.0333553f0abd48058dd4485121ca28b8",
        "title": "How to Clean PETKIT EVERSWEET MAX Cordless Cat Fountain",
        "video_url": "https://m.media-amazon.com/images/S/vse-vms-transcoding-artifact-us-east-1-prod/e2e3fb95-cb7a-41e0-910f-f3d967c59e89/default.jobtemplate.hls.m3u8",
        "video_height": "1080",
        "video_width": "1920",
        "thumbnail_url": "https://m.media-amazon.com/images/I/517dwIvofIL.SS40_BG85,85,85_BR-120_PKdp-play-icon-overlay__.jpg",
        "product_asin": "B0CXHM344N",
        "parent_asin": "B0FP2HDDJR"
      },
      {
        "id": "amzn1.vse.video.0d42a350b267448490782001d6f9a196",
        "title": "ONE Year Follow-Up - What You Need To Know!",
        "video_url": "https://m.media-amazon.com/images/S/vse-vms-transcoding-artifact-us-east-1-prod/84de1bf9-a176-405b-a5b6-165f36b79b15/default.jobtemplate.hls.m3u8",
        "video_height": "1080",
        "video_width": "1920",
        "thumbnail_url": "https://m.media-amazon.com/images/I/91nFdfom2pL.SS40_BG85,85,85_BR-120_PKdp-play-icon-overlay__.png",
        "product_asin": "B0CXHM344N",
        "parent_asin": "B0FP2HDDJR"
      },
      {
        "id": "amzn1.vse.video.0d5aa3c994864950937eee13235d6c5d",
        "title": "Great fountain for multi-cat households and monitoring usage",
        "video_url": "https://m.media-amazon.com/images/S/vse-vms-transcoding-artifact-us-east-1-prod/4cd19cd7-03ff-412a-a48c-2ea9d4cbceae/default.jobtemplate.hls.m3u8",
        "video_height": "1080",
        "video_width": "1920",
        "thumbnail_url": "https://m.media-amazon.com/images/I/919z3fV3qPL.SS40_BG85,85,85_BR-120_PKdp-play-icon-overlay__.png",
        "product_asin": "B0CXHM344N",
        "parent_asin": "B0FP2HDDJR"
      },
      {
        "id": "amzn1.vse.video.0a55f378824b4f958855546eba7f59f7",
        "title": "Full Review of the Petkit Eversweet Max Cat Water Fountain",
        "video_url": "https://m.media-amazon.com/images/S/vse-vms-transcoding-artifact-us-east-1-prod/406cab62-d660-4a4d-bfa1-5b10f354d749/default.jobtemplate.hls.m3u8",
        "video_height": "1080",
        "video_width": "1920",
        "thumbnail_url": "https://m.media-amazon.com/images/I/D1Hdg2rlMEL.SS40_BG85,85,85_BR-120_PKdp-play-icon-overlay__.png",
        "product_asin": "B0CXHM344N",
        "parent_asin": "B0FP2HDDJR"
      },
      {
        "id": "amzn1.vse.video.0d7aac409ec44763ae006897cdb8c097",
        "title": "HONEST REVIEW of PETKIT EVERSWEET MAX Cordless Cat Water Fountain",
        "video_url": "https://m.media-amazon.com/images/S/vse-vms-transcoding-artifact-us-east-1-prod/bc10e914-6fcc-40f7-a7a6-88912642ac70/default.jobtemplate.hls.m3u8",
        "video_height": "1080",
        "video_width": "1920",
        "thumbnail_url": "https://m.media-amazon.com/images/I/51+zzXi8+SL.SS40_BG85,85,85_BR-120_PKdp-play-icon-overlay__.jpg",
        "product_asin": "B0CXHM344N",
        "parent_asin": "B0FP2HDDJR"
      },
      {
        "id": "amzn1.vse.video.064c7f56e92b4b5e82a270a87a31bc5f",
        "title": "Pet Water Fountain Petkit Eversweet Max Cordless Quiet",
        "video_url": "https://m.media-amazon.com/images/S/vse-vms-transcoding-artifact-us-east-1-prod/be8c1f32-53c6-48bb-8a25-5b067be93faa/default.vertical.jobtemplate.hls.m3u8",
        "video_height": "1920",
        "video_width": "1080",
        "thumbnail_url": "https://m.media-amazon.com/images/I/91hYrymGtvL.SS40_BG85,85,85_BR-120_PKdp-play-icon-overlay__.jpg",
        "product_asin": "B0CXHM344N",
        "parent_asin": "B0FP2HDDJR"
      }
    ],
    "user_uploaded_videos": [],
    "video_thumbnail": "https://m.media-amazon.com/images/I/B15+wSymtzL.SX522_.jpg",
    "has_video": true,
    "product_details": {
      "Color": "White-Cordless",
      "Material": "Acrylonitrile Butadiene Styrene (ABS), Stainless Steel",
      "Brand": "PETKIT",
      "Product Dimensions": "10.43&#34;L x 6.73&#34;W x 7.51&#34;H",
      "Capacity": "3 Liters"
    },
    "top_reviews": [
      {
        "review_id": "RTTMMO0CU30KS",
        "review_title": "Petkit ftw- best on the market",
        "review_comment": "I have tried many water fountains from plastic to stainless steel and of all of them, even purchased a Petlibro water fountains as well. But This outshines the Petlibro one and The best part, it cost less, works better and is completely silent. Unlike Petlibro, petkit app functions well, is data driven and neat and orderly. It gives you data on how many times your fur babies are visiting the water, how long your battery will last off power cord, and allow you to set up how long you want your fountain to run while giving you an accurate battery life adjustment. Im only a couple months in, but love this water fountain so much. It is better than petlibro's water fountains (I have bought all of them and donated most of them). I still have petlibro's docking system one and abhor how much water is wasted by my cats licking the water on the side and spilling it. The water remains in the petkit fountain, no mess or spills, and no concerns about the battery getting wet, or even the charging cords from condensation or spills. This water fountain is the best on the market so far and I hope it lasts me a long while. I would like to get another one, but am waiting for the Petlibro one to die first. I now need an automatic food dispenser that is rfid/microchip readable from petkit please with camera! The petlibro one sucks and keeps kicking me off the app or on wifi and food gets stuck constantly! Please make this happen as I know petkit can do it better!",
        "review_star_rating": "5",
        "review_link": "https://www.amazon.com/gp/customer-reviews/RTTMMO0CU30KS",
        "review_author_id": "AH3LAIXLH7T2NHHPMEDTCBZEOS5A",
        "review_author": "Kindle Customer",
        "review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AH3LAIXLH7T2NHHPMEDTCBZEOS5A",
        "review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
        "review_images": [],
        "review_video": null,
        "review_date": "Reviewed in the United States on June 14, 2025",
        "is_verified_purchase": true,
        "helpful_vote_statement": "20 people found this helpful",
        "reviewed_product_asin": "B0CXHM344N",
        "reviewed_product_variant": {
          "Color": "White-Cordless",
          "Size": "3L"
        },
        "is_vine": false
      },
      {
        "review_id": "R27427JMY231GA",
        "review_title": "Great cat fountain with a great capacity and price.",
        "review_comment": "I absolutely LOVE this water fountain for my three cats. I have tried a cheap plastic one from Walmart, a bigger ceramic one from Chewy, and then a big one gallon stainless steel one from Chewy. Every single one of these bowls were such a hassle to clean with crevices you can't get to or plastic parts and the ceramic or stainless steel ending up receiving a biofilm from the cats. Granted I've only had this fountain for a week, and I will update it if anything changes, however so far this is amazing. The ingenuity of using wireless power to operate the pump is probably one of the greatest features alone. I didn't think much of it when I made my purchase, but not having to fiddle with running the cord properly from the bowl to the outlet is just a God send. This fountain holds 3L of water, which is not too far from a gallon of water. The nice thing about this fountain is the majority of the water is enclosed where no dust, bugs, or any debris will get into the water. The stainless steel water dish has a non stick coating and is a shallow dish. Which is very nice to help prevent water from getting filthy and the dish easy to clean preventing biofilm build up. The fact that this fountain has an app to help track how often your pets are using the fountain is just amazing. It has a lot of different modes and when you run it purely on the battery you can set how often the water circulates and also turn on sensor mode so when your cat comes to drink it cycles the water. This water fountain also comes with, and I know this sounds weird to be excited about, but a really well made pipe cleaner with tweezers at the other end. After a week, I tool it apart to clean and it only took a few short minutes and I was so impressed to see very little hair in the main water reservoir. I can't say enough great things and I hope the days, weeks, months, and years to come this fountain will continue to serve me well. One more note, PetKit also sells a pump that sterlizes water using UV. I'm definitely going to be upgrading my pump after this great experience.",
        "review_star_rating": "5",
        "review_link": "https://www.amazon.com/gp/customer-reviews/R27427JMY231GA",
        "review_author_id": "AHRLNMQLLW6KBWQ7NAARI4ISEADA",
        "review_author": "Gerardo N Ruiz",
        "review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AHRLNMQLLW6KBWQ7NAARI4ISEADA",
        "review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
        "review_images": [],
        "review_video": null,
        "review_date": "Reviewed in the United States on March 3, 2025",
        "is_verified_purchase": true,
        "helpful_vote_statement": "28 people found this helpful",
        "reviewed_product_asin": "B0CXHM344N",
        "reviewed_product_variant": {
          "Color": "White-Cordless",
          "Size": "3L"
        },
        "is_vine": false
      },
      {
        "review_id": "R19MOSBSMAT5QV",
        "review_title": "I’ve tried a bunch of these and this is the one!",
        "review_comment": "This is a great drinking fountain for a cat. It holds over a week’s worth of water. Keeps the water moving and filtered. My cat likes the moving water. And I like seeing how often she drinks from it. The app shows usage info as well as reminders to add water, clean, change filters, etc. I have tried quite a few of these and this is my favorite. Design is great and it just works. It’s well built. I think it is worth the price. However, I do get the replacement filters from a 3rd party on Amazon because they are way cheaper than name brand.",
        "review_star_rating": "5",
        "review_link": "https://www.amazon.com/gp/customer-reviews/R19MOSBSMAT5QV",
        "review_author_id": "AFQCWX5XL2WSJVSZMBYHHOLGHLMA",
        "review_author": "chris schwartz",
        "review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AFQCWX5XL2WSJVSZMBYHHOLGHLMA",
        "review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
        "review_images": [],
        "review_video": null,
        "review_date": "Reviewed in the United States on January 3, 2026",
        "is_verified_purchase": true,
        "helpful_vote_statement": "2 people found this helpful",
        "reviewed_product_asin": "B0CXHM344N",
        "reviewed_product_variant": {
          "Color": "White-Cordless",
          "Size": "3L"
        },
        "is_vine": false
      },
      {
        "review_id": "R3NAK4EPN3PY1D",
        "review_title": "Smart Hydration Solution for Our Pups!",
        "review_comment": "After trying a few different options, we finally found the perfect cordless water fountain for our two golden retrievers! It took them about a day to get used to it, but now it works flawlessly. The setup was simple, and the app is incredibly helpful for tracking their water intake trends. We especially love the motion detection feature—it activates when our pups approach, so we worry less about refilling and more about keeping them hydrated. It also has decent capacity, we refill it every couple of days. Couldn’t be happier with this purchase!",
        "review_star_rating": "5",
        "review_link": "https://www.amazon.com/gp/customer-reviews/R3NAK4EPN3PY1D",
        "review_author_id": "AHBLMNOEWVUCPHCZDFG5CMOX5UHA",
        "review_author": "Raphael Parrado",
        "review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AHBLMNOEWVUCPHCZDFG5CMOX5UHA",
        "review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
        "review_images": [],
        "review_video": null,
        "review_date": "Reviewed in the United States on October 26, 2025",
        "is_verified_purchase": true,
        "helpful_vote_statement": "One person found this helpful",
        "reviewed_product_asin": "B0CXHM344N",
        "reviewed_product_variant": {
          "Color": "White-Cordless",
          "Size": "3L"
        },
        "is_vine": false
      },
      {
        "review_id": "ROPNN1NYJEKQ5",
        "review_title": "Great product, easy to clean",
        "review_comment": "No noise at all! Very easy to assemble, and easy to clean. Just not that smart for sensing, only continuous water flow is great. But that’s fine for my cat he loves water flow. The price is a little bit too high",
        "review_star_rating": "4",
        "review_link": "https://www.amazon.com/gp/customer-reviews/ROPNN1NYJEKQ5",
        "review_author_id": "AF5SDGBY466LTYXQOZI6F3VYZT6A",
        "review_author": "CY",
        "review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AF5SDGBY466LTYXQOZI6F3VYZT6A",
        "review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
        "review_images": [],
        "review_video": null,
        "review_date": "Reviewed in the United States on November 26, 2025",
        "is_verified_purchase": true,
        "reviewed_product_asin": "B0CXHM344N",
        "reviewed_product_variant": {
          "Color": "White-Dishwasher Safe",
          "Size": "3L"
        },
        "is_vine": false
      },
      {
        "review_id": "R33OD211YANAXV",
        "review_title": "Perfect",
        "review_comment": "This fountain is perfect for our cat! Too heavy for him to knock over or move easily but not too heavy to lift with it full. The design is great because there is no way for him to knock out the section wear the water pools. It locks in. It was super easy to put together & clean. It's super quiet! I have to check app or look close to see if it's working. We've not had any issues with it at all! Good quality parts.",
        "review_star_rating": "5",
        "review_link": "https://www.amazon.com/gp/customer-reviews/R33OD211YANAXV",
        "review_author_id": "AGVUV5YMYN5CHX65MUNJXNUSJ6CQ",
        "review_author": "Amazon Customer",
        "review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AGVUV5YMYN5CHX65MUNJXNUSJ6CQ",
        "review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
        "review_images": [],
        "review_video": null,
        "review_date": "Reviewed in the United States on November 14, 2025",
        "is_verified_purchase": true,
        "helpful_vote_statement": "6 people found this helpful",
        "reviewed_product_asin": "B0CXHM344N",
        "reviewed_product_variant": {
          "Color": "White-Cordless",
          "Size": "3L"
        },
        "is_vine": false
      }
    ],
    "top_reviews_global": [],
    "delivery": "FREE delivery June 21 - August 5 Or fastest delivery June 19 - August 3",
    "primary_delivery_time": "June 21 - August 5",
    "category": {
      "id": "pets",
      "name": "Pet Supplies"
    },
    "category_path": [
      {
        "id": "2619533011",
        "name": "Pet Supplies",
        "link": "https://www.amazon.com/pet-shops-dogs-cats-hamsters-kittens/b/ref=dp_bc_1?ie=UTF8&node=2619533011"
      },
      {
        "id": "2975241011",
        "name": "Cats",
        "link": "https://www.amazon.com/cats-supplies-kittens-catnip-tree-litter/b/ref=dp_bc_2?ie=UTF8&node=2975241011"
      },
      {
        "id": "2975259011",
        "name": "Feeding & Watering Supplies",
        "link": "https://www.amazon.com/cat-water-fountain-bubbler-feeder-storage/b/ref=dp_bc_3?ie=UTF8&node=2975259011"
      },
      {
        "id": "2975263011",
        "name": "Fountains",
        "link": "https://www.amazon.com/dog-fountains/b/ref=dp_bc_4?ie=UTF8&node=2975263011"
      }
    ],
    "product_variations_dimensions": [
      "color",
      "size"
    ],
    "product_variations": {
      "color": [
        {
          "asin": "B0CXHM344N",
          "value": "White-Cordless",
          "photo": "https://m.media-amazon.com/images/I/41LS7gfVGJL.jpg",
          "is_available": true
        },
        {
          "asin": "B0FHQC19RV",
          "value": "White-Dishwasher Safe",
          "photo": "https://m.media-amazon.com/images/I/41bo897rfVL.jpg",
          "is_available": true
        }
      ]
    },
    "all_product_variations": {
      "B0FHQC19RV": {
        "color": "White-Dishwasher Safe",
        "size": "3L"
      },
      "B0CXHM344N": {
        "color": "White-Cordless",
        "size": "3L"
      }
    },
    "deal_badge": "Ends in 11:27:48 (function(f) {var _np=(window.P._namespace(\"GoldboxUDPAssets\"));if(_np.guardFatal){_np.guardFatal(f)(_np);}else{f(_np);}}(function(P) { function isComponentRegistered(componentName) { var isRegistered = false; P.now(\"registrationStarted:\" + componentName).execute(function (loaded) { isRegistered = !!loaded; }); return isRegistered; } function setComponentRegistered(componentName) { P.declare(\"registrationStarted:\" + componentName, true); } if (!isComponentRegistered(\"count-down-controller-detailpage-dealBadge\")) { setComponentRegistered(\"count-down-controller-detailpage-dealBadge\"); P.when('jQuery').register('count-down-controller-detailpage-dealBadge', function($) { function countDown(timer) { var $timer = $(timer); var targetDateStr = $(timer).attr(\"data-target-time\"); var targetDate = Date.parse(targetDateStr); var dealBadgeSupportingText = '#dealBadgeSupportingText'; $(dealBadgeSupportingText).attr(\"aria-hidden\",\"true\"); var interval = null; interval = setInterval(function () { var diffMillis = targetDate - Date.now(); var diffSeconds = Math.floor(diffMillis / 1000); if (diffSeconds < 0) { $timer.text('00:00'); clearInterval(interval); $(dealBadgeSupportingText).removeAttr(\"aria-hidden\"); } else { var hours = Math.floor((diffSeconds / (60 * 60)) % 24); var minutes = Math.floor((diffSeconds / 60) % 60); var seconds = Math.floor(diffSeconds % 60); var hoursStr = ('0' + hours).slice(-2); var minutesStr = ('0' + minutes).slice(-2); var secondsStr = ('0' + seconds).slice(-2); var timeStr = ''; if (hours > 0) { timeStr = [hoursStr, minutesStr, secondsStr].join(':'); } else { timeStr = [minutesStr, secondsStr].join(':'); } $timer.text(timeStr); updateOffscreenText(hours, minutes, seconds) } }, 1000); } var offscreenTextEnum = { hours: 0, minutes: 1, seconds: 2, }; var offscreenTextIDs = [ '#deals_countdown_timer_from_hours_screen_reader_label', '#deals_countdown_timer_from_minutes_without_seconds_screen_reader_label', '#deals_countdown_timer_from_seconds_screen_reader_label', ]; var offscreenTextTemplates = offscreenTextIDs.map(function (id) { return $(id).text() }); var classHidden = 'aok-hidden'; var classOffscreen = 'aok-offscreen'; function updateOffscreenText(hours, minutes, seconds) { var type = getOffscrrenType(hours, minutes); var elementID = offscreenTextIDs[type]; var template = offscreenTextTemplates[type]; var text = template .replace('NO_OF_HOURS', hours) .replace('NO_OF_MINUTES', minutes) .replace('NO_OF_SECONDS', seconds); $(elementID).text(text); showOffscreenElement(elementID); offscreenTextIDs.filter(function (_, idx) { return idx != type; }).forEach(function (id) { return hideOffscreenElement(id) }); if (isTimerOver(hours, minutes, seconds)) { hideOffscreenElement(elementID); } } function getOffscrrenType(hours, minutes) { if (hours > 0) { return offscreenTextEnum.hours; } if (minutes >= 1) { return offscreenTextEnum.minutes; } return offscreenTextEnum.seconds; } function showOffscreenElement(elementID) { $(elementID).removeClass(classHidden).addClass(classOffscreen); } function hideOffscreenElement(elementID) { $(elementID).removeClass(classOffscreen).addClass(classHidden); } function isTimerOver(hours, minutes, seconds) { return hours == 0 && minutes == 0 && seconds == 0; } return { countDown : countDown }; }); } P.when('A', 'count-down-controller-detailpage-dealBadge', 'ready').execute(function(A, countDownController) { var timers = document.querySelectorAll('.detailpage-dealBadge-countdown-timer'); A.each(timers, function(timer) { countDownController.countDown(timer); }); }); }));",
    "has_aplus": true,
    "aplus_images": [
      "https://m.media-amazon.com/images/S/aplus-media-library-service-media/6cfbbed1-efda-4b6b-a07d-ce9847331038.jpg"
    ],
    "has_brandstory": true,
    "frequently_bought_together": [],
    "landing_asin": "B0CXHM344N",
    "parent_asin": "B0FP2HDDJR"
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。